## RcppArmadillo_0.3.900.0.tar.gz

=== DESCRIPTION ===
Package: RcppArmadillo
Type: Package
Title: Rcpp integration for Armadillo templated linear algebra library
Version: 0.3.900.0
Date: $Date: 2013-06-04 19:03:18 -0500 (Tue, 04 Jun 2013) $
Author: Romain Francois, Dirk Eddelbuettel and Doug Bates
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: R and Armadillo integration using Rcpp Armadillo is a
        templated C++ linear algebra library (by Conrad Sanderson) that
        aims towards a good balance between speed and ease of use.
        Integer, floating point and complex numbers are supported, as
        well as a subset of trigonometric and statistics functions.
        Various matrix decompositions are provided through optional
        integration with LAPACK and ATLAS libraries.
 .
 A delayed evaluation approach is employed (during compile time) to
        combine several operations into one, and to reduce (or
        eliminate) the need for temporaries. This is accomplished
        through recursive templates and template meta-programming.
 .
 This library is useful if C++ has been decided as the language of
        choice (due to speed and/or integration capabilities), rather
        than another language.
 .
 The RcppArmadillo package includes the header files from the templated
        Armadillo library (currently version 3.820). Thus users do not
        need to install Armadillo itself in order to use RcppArmadillo.
 .
 This Armadillo integration provides a nice illustration of the
        capabilities of the Rcpp package for seamless R and C++
        integration.
 .
 Armadillo is licensed under the MPL 2.0, while RcppArmadillo (the Rcpp
        bindings/bridge to Armadillo) is licensed under the GNU GPL
        version 2 or later, as is the rest of Rcpp.
License: GPL (>= 2)
LazyLoad: yes
Depends: R (>= 2.14.0), Rcpp (>= 0.10.2)
LinkingTo: Rcpp
Suggests: inline, RUnit
URL: http://arma.sourceforge.net/,
        http://dirk.eddelbuettel.com/code/rcpp.armadillo.html,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/RcppArmadillo
Packaged: 2013-06-05 00:04:22.717651 UTC; edd
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-06-05 09:31:37

=== debian/changelog ===
r-cran-rcpparmadillo (0.3.900.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Jun 2013 19:01:58 -0500

r-cran-rcpparmadillo (0.3.820-2) unstable; urgency=low

  * debian/control: Add a Depends: on r-cran-rcpp	(Closes: #710127)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 May 2013 09:31:14 -0500

r-cran-rcpparmadillo (0.3.820-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 May 2013 09:20:13 -0500

r-cran-rcpparmadillo (0.3.810.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Apr 2013 07:07:01 -0500

r-cran-rcpparmadillo (0.3.810.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Apr 2013 19:56:04 -0500

r-cran-rcpparmadillo (0.3.800.1-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #704746)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Apr 2013 19:47:00 -0500

=== debian/control ===
Source: r-cran-rcpparmadillo
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.0.1), r-cran-rcpp, cdbs
Standards-Version: 3.9.4
Homepage: http://dirk.eddelbuettel.com/code/rcpp.armadillo.html

Package: r-cran-rcpparmadillo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, littler, r-cran-rcpp
Description: GNU R package for Armadillo C++ linear algebra library
 Armadillo is a templated C++ linear algebra library (by Conrad Sanderson)
 that aims towards a good balance between speed and ease of use. Integer,
 floating point and complex numbers are supported, as well as a subset of
 trigonometric and statistics functions. Various matrix decompositions are
 provided through optional integration with LAPACK and ATLAS libraries.
 .
 A delayed evaluation approach is employed (during compile time) to combine 
 several operations into one, and to reduce (or eliminate) the need for 
 temporaries. This is accomplished through recursive templates and template 
 meta-programming.   
 .
 This library is useful if C++ has been decided as the language of choice 
 (due to speed and/or integration capabilities), rather than another language.
 .
 The RcppArmadillo package includes the header files from the templated
 Armadillo library (currently version 3.810.0). Thus users do not need to
 install Armadillo itself in order to use RcppArmadillo.
 .
 This Armadillo integration provides a nice illustration of the 
 capabilities of the Rcpp package for seamless R and C++ integration.
 .
 Armadillo is licensed under the MPL 2.0, while RcppArmadillo (the Rcpp 
 bindings/bridge to Armadillo) is licensed under the GNU GPL version 2 
 or later, as is the rest of Rcpp.
